/*
 * NameCompletionListener.java
 *
 * Created on 10 December 2002, 13:40
 */

package GuiComponents.Console;

/**
 *  Defines a NameCompletionListener.
 * @author  Matthew Palmer
 */
public interface NameCompletionListener {
    /**
     *The receiver should do whatever is necessary to complete the parameter.
     *@param curCmd The currently typed command
     */
    public void completeName(String curCmd);
}
