#include "IOName.h"

namespace Sct {
    
IOName::IOName(const string& nameIO) throw(InvalidArgument) : nameIO(nameIO) {
}
	
IOName::IOName(const string& uniqueID, const string& className) throw() : uniqueID(uniqueID), className(className) {
}

IOName::~IOName() throw() {
}
    
string IOName::getIOName() const throw() {
    return nameIO;
}

string IOName::getUniqueID() const throw() {
    return uniqueID;
}

}
