#include "ScanHeaderIOHelper.h"
#include "ScanHeader.h"
#include "ConfigurationVariable.h"

namespace SctData {

ScanHeader& ScanHeaderIOHelper::create() throw() {
	header = new ScanHeader();
	return *header;
}

void ScanHeaderIOHelper::set(ScanHeader& h) throw() {
	header = &h;
}

unsigned int& ScanHeaderIOHelper::getScanNumber() throw() {
	return header->scanNumber;
}

unsigned int& ScanHeaderIOHelper::getRunNumber() throw() {
	return header->runNumber;
}

string& ScanHeaderIOHelper::getModuleName() throw() {
	return header->moduleName;
}

const ConfigurationVariable*& ScanHeaderIOHelper::getVariable() throw() {
	return header->variable;
}
	
}
