#include "ScanResult.h"
#include "ConfigurationVariable.h"

namespace SctData {

ScanResult::ScanResult(const ScanHeader& header, const ModuleConfiguration& moduleConfig, const ScanPoints& points) throw() :
					   header(header), moduleConfig(moduleConfig), points(points)
{
}

ScanResult::ScanResult(const ScanResult& copyMe) throw() :
					   header(copyMe.header), moduleConfig(copyMe.moduleConfig), points(copyMe.points) 
{
}

ScanResult::~ScanResult() throw() {
}	

//For the builders
ScanResult::ScanResult() throw() {}
	
}
