#include "archiving/ArchRawScanResult.h"
#include "archiving/ArchFitScanResult.h"
#include "archiving/ArchNoiseOccupancyTestResult.h"
#include "archiving/ArchStrobeDelayTestResult.h"
#include "archiving/ArchNPtGainTestResult.h"
#include "archiving/ArchTrimRangeTestResult.h"

#include "ServiceTests.h"

#include "Sct/SctNames.h"
#include "Sct/IS/IOManagerIS.h"
#include "SctData/TestResult.h"
#include "SctData/RawScanResult.h"
#include "SctData/FitScanResult.h"
#include "SctData/NoiseOccupancyTestResult.h"
#include "SctData/StrobeDelayTestResult.h"
#include "SctData/NPtGainTestResult.h"
#include "SctData/TrimRangeTestResult.h"




using Sct::SctNames;
using namespace SctData;



int main(int argc, char** argv) {
    setExceptionHandlers(argv[0]);
    using namespace SctArchivingServiceTests;
   

    bool multiThreaded = false; //Choose single/multi-threaded 
    IPCCore::init(multiThreaded); 
    
    //Tests objects
    ArchivingServiceTests archTests;
    archTests.runTests();

    
}
