#ifndef ArchNoiseOccupancyTestResult_H
#define ArchNoiseOccupancyTestResult_H

#include "Sct/SctNames.h"
#include "ArchTestResult.h"
#include "SctData/NoiseOccupancyTestResult.h"
#include <vector>


class TVectorD;

using namespace SctData;
using namespace Sct;


class ArchNoiseOccupancyTestResult: public  ArchTestResult {
  
 protected:
  vector <TGraph*> chipNOGraph;
  vector <TF1*> chipNOFit; 
  TVectorD* vchipNoise;
  

 public:
    ArchNoiseOccupancyTestResult();
    ArchNoiseOccupancyTestResult(NoiseOccupancyTestResult &);
    ~ArchNoiseOccupancyTestResult();

    void SaveNOTestDataOnly();
    void SaveNoiseOccupancy();

    void TestSummary(NoiseOccupancyTestResult &);



};


#endif
