#include "FitObjectIOHelper.h"

namespace SctData {

void FitObjectIOHelper::set(FitObject& ob) const throw() {
	this->ob = &ob;
}

void FitObjectIOHelper::setNDim(const int n) const throw(LogicError) {
	ob->setNDim(n);
}
  	
void FitObjectIOHelper::setNPar(const int npar) const throw(LogicError) {
	ob->setNPar(npar);
}
	
void FitObjectIOHelper::setChiSquared(const double c) const throw() {
	ob->setChiSquared(c);	
}

void FitObjectIOHelper::setNDF(const int d) const throw(LogicError) {
	ob->setNDF(d);
}

void FitObjectIOHelper::setFormula(char const* f) const throw() {
	ob->setFormula(f);
}

	
}
