#ifndef FITOBJECTIOHELPER_H
#define FITOBJECTIOHELPER_H

#include "FitObject.h"

namespace SctData {
	
class FitObjectIOHelper {
public:
    void set(FitObject& ob) const throw() ;
    void setChiSquared(const double c) const throw();
    void setNDF(const int d) const throw(LogicError) ;
    void setFormula(char const* f) const throw() ;
    void setNDim(const int n) const throw(LogicError) ;
    void setNPar(const int npar) const throw(LogicError) ;
	
	
private:
	mutable FitObject* ob;
};
}
#endif //#ifndef FITOBJECTIOHELPER_H
