#ifndef SCTAPI_LOG_H
#define SCTAPI_LOG_H

#include <fstream>
#include <string>

/**
   A logging class, just an ofstream 
   that opens a fixed file
 */
class Log : public std::ofstream {
 public:
  /// Create file
  Log();
  /// Create file
  Log(std::string fname);
  /// Create file
  Log(std::string fname, int instance);

#warning "Write file to environment + filename"
  // Eg TDAQ_LOGS_PATH/SctApiServer.log

  /// Make sure file is saved on exit
  ~Log();

 private:
  void printHeader();
  void printTrailer();
};

#endif
